Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
bmertka
Posts: 7
Registered: ‎10-27-2009
Accepted Solution

Blackberry OS Version Availability of PhoneListener and PhoneLog APIs

My company just heard back from the Developer Program the the subject APIs are currently availble in the Blackberry OS / JDE / API for an application we'd like to develop and the documentation online states that they have been available since V 4.0.0 of the OS / JDE / API. I am writing to verify that this is indeed the case that that these APIs are available in other than V 5.0.0 and up, the latest version of the software.

 

I just want to make sure these APIs are available, for example for all OS versions and all Blackberry device versions, with no restrictions, since V4.0.0, as is implied in the message I got from the Developer Program (a RIM person named Mike Kirkup) over the weekend.

 

For example, I think we are developing it in the office for a Blackberry Curve device running either V4.3 or V4.4 OS; are these APIs (PhoneListener and PhoneLog) available for this device and this version of OS?  Of course, we'll be expanding the supported OS and devices for our app, but we have to start somewhere and was hoping some one could verify specifically which OS / SDE / API versions have these specific APIs in them and if there are any device restrictions for them.


Thanks in advance for your help.

 

Bill Mertka

Please use plain text.
Developer
peter_strange
Posts: 19,508
Registered: ‎07-14-2008

Re: Blackberry OS Version Availability of PhoneListener and PhoneLog APIs

[ Edited ]

Hi and welcome.

 

If you heard it from Mike Kirkup, you can believe it.  He is a good guy.

 

And if, as you have seen, the docs say

 

 'Since JDE x.x.x"

or

"Since BlackBerry API x.x.x"

 

then x.x.x identifies the level that the functionality was introduced. 

 

By the way, there is no 4.4 OS, and the 8300 Curves initially came with 4.2.2 and can be upgraded to 4.5, which later ones come with as standard. 

 

As a rough rule of thumb, all color screen BlackBerry devices are or can be upgraded to 4.0 or above.  All trackball devices have 4.2 or above.  So any application that runs with 4.0 will run on almost any device that is out there.  I'd like to say every device out there, but I'm sure someone will say they know of an really old BB still in use....

Please use plain text.
New Developer
bmertka
Posts: 7
Registered: ‎10-27-2009

Re: Blackberry OS Version Availability of PhoneListener and PhoneLog APIs

Peter,

 

Thanks for the response; very helpful.  I will pass this on to my development team.

 

Thanks again.

 

Regards,

 

Bill

Please use plain text.
Developer
peter_strange
Posts: 19,508
Registered: ‎07-14-2008

Re: Blackberry OS Version Availability of PhoneListener and PhoneLog APIs

No problem.

 

Can you mark this as solved then?

Please use plain text.
New Developer
bmertka
Posts: 7
Registered: ‎10-27-2009

Re: Blackberry OS Version Availability of PhoneListener and PhoneLog APIs

Peter,

 

I kind of new to this, so hopefully, marking this as "accept as a solution" does what you wanted me to do.

 

Let me know and again, thanks for the help.

 

Bill Mertka

Please use plain text.
Developer
peter_strange
Posts: 19,508
Registered: ‎07-14-2008

Re: Blackberry OS Version Availability of PhoneListener and PhoneLog APIs

You have done it correctly, however one normally marks the post that provided the best information as the 'solution' which I don't think is my post requesting you mark it as solved!

 

I think you can move the solution by clicking the "accept as solution" on another (more useful) post.

 

But if that doesn't work, what you have done is good enough!

Please use plain text.